## cascading.operation
Class AssertionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.operation.OperationException
                          cascading.operation.AssertionException

All Implemented Interfaces:
  Serializable

    public class AssertionException

extends OperationException

Class AssertionException is the exception that must be thrown when an `Assertion` fails.

See Also:
  Serialized Form

Constructor Summary
`AssertionException()`
`AssertionException(String string)`
`AssertionException(String string, Throwable throwable)`
`AssertionException(Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionException

    public AssertionException()

See Also:
  `OperationException.OperationException()`

### AssertionException

    public AssertionException(String string)

See Also:
  `OperationException.OperationException(String)`

### AssertionException

    public AssertionException(String string,
                              Throwable throwable)

See Also:
  `OperationException.OperationException(String, Throwable)`

### AssertionException

    public AssertionException(Throwable throwable)

See Also:
  `OperationException.OperationException(Throwable)`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.